@use "fonts";
@use "variables";

//Fluid Font Scaling, see: https://css-tricks.com/snippets/css/fluid-typography/
$default-font-size: calc(15px + 3 * ((100vw - 360px) / (1280 - 360)));

@mixin break-words{
    word-break: break-word;
    word-wrap: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}

html {
    font-size: $default-font-size;
    font-family: fonts.$content-font, Helvetica, Arial, sans-serif;
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-family: fonts.$title-font, Impact, Arial, sans-serif;
        letter-spacing: 0.02em;
        line-height: 100%;
        margin-bottom: 0.2em;

        font-weight: bolder;

        // Fixes weird bold title rendering on firefox and safari
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;

        @-moz-document url-prefix() {
            font-weight: lighter !important;
        }

        @media screen and (max-width: variables.$large-device){
            @include break-words;
        }
    }

    h1,
    .h1 {
        font-size: 3.75rem;
    }

    h2,
    .h2 {
        font-size: 2.8rem;
    }

    h3,
    .h3 {
        font-size: 2.1rem;
    }

    h4,
    .h4 {
        font-size: 1.7rem;
    }

    h5,
    .h5 {
        font-size: 1.6rem;
    }

    h6,
    .h6 {
        font-size: 1.5rem;
    }

    p,
    .p {
        margin-block-start: 0;
    }
}




/* Very Small devices */
@media only screen and (max-width: 360px) {
    html {
        font-size: 15px;
        line-height: 133%;
        letter-spacing: 0.03em;
    }
}

/* Small devices */
@media only screen and (min-width: 360px) and (max-width: 600px) {
    html {
        line-height: 138%;
        letter-spacing: 0.035em;
    }
}

/* Medium devices */
@media only screen and (min-width: 600px) and (max-width: 960px) {
    html {
        line-height: 143%;
        letter-spacing: 0.04em;
    }
}

/* Large devices */
@media only screen and (min-width: 960px) and (max-width: 1280px) {
    html {
        line-height: 148%;
        letter-spacing: 0.045em;
    }
}

/* Extra large devices */
@media only screen and (min-width: 1280px) {
    html {
        font-size: 18px;
        line-height: 153%;
        letter-spacing: 0.05em;
    }
}